Apply an organization snapshot
curl --request POST \
--url https://your-instance.example.com/api/org-snapshots/{id}/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orgName": "NewOrg Holdings",
"orgPhone": "+14155550100",
"orgAddress": "100 King St W, Toronto, ON",
"firstUser": {
"email": "admin@neworg.example",
"password": "TempPass!2026",
"fullName": "Morgan Admin",
"designation": "Operations Lead"
}
}
'import requests
url = "https://your-instance.example.com/api/org-snapshots/{id}/apply"
payload = {
"orgName": "NewOrg Holdings",
"orgPhone": "+14155550100",
"orgAddress": "100 King St W, Toronto, ON",
"firstUser": {
"email": "admin@neworg.example",
"password": "TempPass!2026",
"fullName": "Morgan Admin",
"designation": "Operations Lead"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orgName: 'NewOrg Holdings',
orgPhone: '+14155550100',
orgAddress: '100 King St W, Toronto, ON',
firstUser: {
email: 'admin@neworg.example',
password: 'TempPass!2026',
fullName: 'Morgan Admin',
designation: 'Operations Lead'
}
})
};
fetch('https://your-instance.example.com/api/org-snapshots/{id}/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Snapshot applied",
"result": {
"organizationId": "64ee9a8b1e7f2a0011223400",
"organizationName": "NewOrg Holdings",
"userId": "64ee9a8b1e7f2a0011223499",
"userEmail": "admin@neworg.example",
"cloned": {
"pipelines": 3,
"automations": 12,
"prompts": 20,
"templates": 30
}
}
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}Org Snapshots
Apply an organization snapshot
Creates a new organization (with credentials, dynamic properties, and pipelines) by cloning the snapshot inside a single transaction. Optionally seeds a first admin user with cloned automations, prompts, and templates. Superadmin only.
POST
/
api
/
org-snapshots
/
{id}
/
apply
Apply an organization snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Organization phone (must start with +1 or +91 followed by 10 digits).
Show child attributes
Show child attributes
Example:
{
"email": "admin@neworg.example",
"password": "TempPass!2026",
"fullName": "Morgan Admin",
"phoneNumber": "+14155550111",
"designation": "Operations Lead"
}
⌘I